Bug 1304263 - Kscreen management does not start from favorite
Kscreen management does not start from favorite
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kscreen (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 03:28 EST by Pavel Alexeev
Modified: 2016-12-20 13:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:24:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2016-02-03 03:28:18 EST
Description of problem:
From some of update (not recent, 1-3 month ago) kscrean stop run from menu widget with error:

"Unable to run the command specified. The file or folder kcm_kscreen.desktop does not exist."

It run from search there.
Delete from favorits and re-add it does not help.

Version-Release number of selected component (if applicable):
rpm -qf /usr/share/kservices5/kcm_kscreen.desktop
kscreen-5.5.4-1.fc23.x86_64

How reproducible:
Always
Comment 1 Rex Dieter 2016-02-04 07:55:28 EST
What menu/widget are you talking about? 

kscreen doesn't provide any .desktop file to display in application menus (like kickoff), those typically are under /usr/share/applications/...

 you mean in systemsettings ?  systemsettings5 ->  display&monitor -> display configuration ?
Comment 2 armando.fella 2016-02-09 05:51:52 EST
I received the error message "Unable to run the command specified. The file or folder kcm_kscreen.desktop does not exist." when I try to launch the "Display configuration" from Favorites in Kmenu or if I launch it from panel after "Add to panel" action.
Moreover if I access it by systemsetting the tool is not able to detect new monitor attached both to VGA port and hdmi port.
Comment 3 armando.fella 2016-02-09 06:58:48 EST
I add system info:

[root@localhost ~]# cat /etc/fedora-release 
Fedora release 23 (Twenty Three)
[root@localhost ~]# uname -a
Linux localhost.localdomain 4.3.5-300.fc23.x86_64 #1 SMP Mon Feb 1 03:18:41 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost ~]# 


[root@localhost ~]# rpm -qa | grep kcm                                                                                                                            
kf5-kcmutils-5.18.0-1.fc23.x86_64
ktp-accounts-kcm-15.12.1-1.fc23.x86_64
sddm-kcm-5.5.4-1.fc23.x86_64
kcm-gtk-0.5.3-18.fc23.x86_64
kcm_systemd-1.2.1-1.fc23.x86_64
kcm_colors-4.11.22-2.fc23.x86_64
[root@localhost ~]#
Comment 4 Rex Dieter 2016-02-09 21:57:23 EST
I guess I'm curious how this ended up in your favorites (or panel) to begin with, this package does not normally appear in kickoff application menu (only systemsettings).

Probably better to focus on the latter issue you mentioned: 
Moreover if I access it by systemsetting the tool is not able to detect new monitor attached both to VGA port and hdmi port.

Try running this from konsole:
xrandr


Do your newly attached monitors appear listed there?
Comment 5 armando.fella 2016-02-10 14:22:25 EST
from the kmenu I searched (texting) "display" an it appears.

I run the xrandr, this is the output, but the "Display configuration" do NOT displays the VGA one.

[root@localhost ~]# xrandr 
Screen 0: minimum 8 x 8, current 1366 x 768, maximum 32767 x 32767
LVDS1 connected primary 1366x768+0+0 (normal left inverted right x axis y axis) 277mm x 156mm
   1366x768      60.02*+
   1280x720      60.00  
   1024x768      60.00  
   1024x576      60.00  
   960x540       60.00  
   800x600       60.32    56.25  
   864x486       60.00  
   640x480       59.94  
   720x405       60.00  
   680x384       60.00  
   640x360       60.00  
DP1 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)
DP3 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
HDMI2 disconnected (normal left inverted right x axis y axis)
HDMI3 disconnected (normal left inverted right x axis y axis)
VGA1 connected (normal left inverted right x axis y axis)
   1920x1080     60.00 +
   1600x1200     60.00  
   1680x1050     59.95  
   1280x1024     75.02    70.00    60.02  
   1440x900      59.89  
   1280x960      60.00  
   1152x864      75.00  
   1024x768      75.08    70.07    60.00  
   832x624       74.55  
   800x600       75.00    60.32    56.25  
   640x480       75.00    72.81    60.00  
VIRTUAL1 disconnected (normal left inverted right x axis y axis)
[root@localhost ~]#
Comment 6 Fedora End Of Life 2016-11-24 10:22:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 13:24:17 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.